curl --request POST \
--url https://api.dataspike.io/api/v3/sdk/{short_id}/proceed \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v3/sdk/{short_id}/proceed"
headers = {"ds-api-token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v3/sdk/{short_id}/proceed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "VDBA1B2EA6A28A7D2",
"checks": {
"document_mrz": {
"data": {
"document_type": "P",
"country": "DEU",
"name": "John",
"surname": "Doe",
"doc_number": "P-1234567890",
"nationality": "DEU",
"birth_date": "1983-03-21",
"sex": "M",
"expiry_date": "2021-02-24"
},
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"face_comparison": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"poa": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"liveness": {
"data": {
"estimated_age": 37,
"age_interval": [
32,
45
]
},
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
}
},
"expires_at": "2023-07-18T15:32:13.000Z",
"settings": {
"poi_required": true,
"poi_allowed_documents": [],
"face_comparison_required": true,
"face_comparison_allowed_documents": [],
"poa_required": false,
"allow_poi_manual_uploads": false,
"allow_desktop": false,
"disable_cross_check_by_bio": false,
"disable_cross_check_by_photo": false,
"disable_verify_poa_country_match_with_poi": false,
"countries": [
"FR"
],
"ui_settings": {},
"manual_field_settings": {
"enabled": true,
"description": "<string>",
"full_name": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"email": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"phone": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"country": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"dob": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"gender": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"citizenship": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"address": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"certificate_of_incorporation": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"ownership_document": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"custom_fields": [
{
"label": "<string>",
"caption": "<string>",
"order": 123,
"options": {
"choices": [
"<string>"
],
"type": "<string>"
}
}
]
},
"finish_screen_settings": {
"enabled": true,
"settings": {
"title": "<string>",
"main_text": "<string>",
"redirect_warning": "<string>",
"cta": "<string>",
"redirect_link": "<string>"
}
}
},
"redirect_url": "https://example.org/redirect",
"country_code": "DE"
}{
"pending_documents": [],
"message": "<string>"
}Proceed with an existing Verification
To proceed verification further call this method. Should be used after all the required documents has been uploaded.
Recovering from errors:
pending_documents - need to upload missed docs. pending_documents field indicates which documents are missed.
country_unknown - we can’t detect country in POI document. Please specify country by set_country API request or use another document.
Authorizations
Path Parameters
Existing Verification Short Id
"VDBA1B2EA6A28A7D2"
Response
Verification response
Minimized Verification Object used for SDK
Short verification id
"VDBA1B2EA6A28A7D2"
active, expired, completed Object describes required checks and it`s current status
Show child attributes
Show child attributes
Verification expiration timestamp
"2023-07-18T15:32:13.000Z"
Verification profile settings
Show child attributes
Show child attributes
merchant's website reidrect url on completion
"https://example.org/redirect"
Two-letter ISO 3166-1 ALPHA-2 code, reference https://www.iban.com/country-codes
"DE"